  <!-- Navigation --> <nav class="navbar navbar-expand-lg navbar-dark bg-dark 
  static-top">
    <div class="container">
      <a class="navbar-brand" href="/">OBScontrole</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/maintenance">Maintenance</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>



 <!-- Page Content -->
<section style="background: transparent !important" class="mb-0 jumbotron text-center">
  <div class="container">
        <h1 class="jumbotron-heading">Maintenance de l'OBS</h1>
	<p class="lead text-muted"> Page dédié à l'échange et la récupération d'informations lié à la maintenance de l'appareil </p>
	<p> <a class="btn btn-secondary my-2" href="/maintenance/historique"> Historique </a>  </p>
  </div>

	

</section>

<!-- <div class="album py-5 bg-light"> -->
<div class="card-body container-fluid bg-light">
<form id="terminal" class="form-signin">
	<div class="text-center card mb-4">
	<div id="print" class="card-body text-left" style="overflow-y:auto; height: 240px; white-space:pre-wrap"><p id="printboard"></p></div>  
	</div>
	<div class="form-label-group" style="margin-bottom: 1rem">
		<input id="m" class="form-control">
	</div>
</form>

<div class="container-fluid">

<!-- <div class="row d-flex justify-content-center">
	<div class="col-xs-4">
	<button id="start" class="btn btn-sm btn-primary btn-block">
	Connexion
	</button>
	</div>

	&nbsp;

	<div class="col-xs-4 text-center">

	<button id="refresh" class="btn btn-sm btn-success btn-block">
	Rafraichir
	</button>
	</div>

	&nbsp;

	<div class="col-xs-4 text-right">

	<button id="end" class="btn btn-sm btn-danger btn-block" >
	Fin
	</button>
	</div>
</div>
-->
</div>
</div>
</div>

<script>
$(function () {
//	var terminal_flag=0;
	//drapeau de la connexion
	var flag = 0;
	//hauteur du terminal sert pour le scroll automatique
	var height = $('#print').height();
	var i=1;
	//communication avec le serveur
	//var socket = io();

	$('#m').focus(function(){
		console.log('start');
		socket.emit('start');
	});

	$('#m').blur(function(){
		socket.emit('end');
	});

	$('a').click(function(e){
		socket.emit('end');

		if(flag==1){
			alert("Vous ne pouvez pas quitter la page pendant une communication OBS");
			e.preventDefault();
		}
	});

/*
	$('#start').click(function(e){
		if(flag==1){
			alert("Vous devez d'abord fermer la communication OBS");
			e.preventDefault();
		} else { 
			flag=1;
			console.log("démarrage communication");
			$('#start').prop("disabled",true);
		}
	});
	$('#refresh').click(function(e){
		if(flag==0){
			alert("Vous devez d'abord démarrer une communication OBS");
			e.preventDefault();
		} else {
			console.log("rafraichissement communication");
			socket.emit('refresh');
		}
	});
	$('#end').click(function(e){
		if(flag==0) {
			alert("Vous devez d'abord démarrer une communication OBS");
			e.preventDefault();

		} else {
			flag=0;
			console.log("fin communication");
			$('#start').prop("disabled",false);
		}
	});

*/
	$('#terminal').submit(function(e){
		console.log("submit");
		e.preventDefault();
		socket.emit('commande',$('#m').val());
	$('#m').val('');
	return false;
	});
	socket.on('retour',function(msg){
			let kik='';
			kik+=msg;
			console.log(typeof(msg));
//			console.log(String.raw(msg));
//			console.log(String.raw(kik));
//			$('#print').append($('<p>').text(msg));
//			$('#print').append(kik.replace('\r','&#10;'));
			$('#printboard').append(kik.replace('\r','&#10;'));
			i=i+1;;
			$('#print').scrollTop(height*i); 
			console.log("scrolling en cours"+height);
		//var taille = $('#print').children().length;
		//if (taille < 5) {
		//	console.log("inf a 5  "+taille);
		//} else {
		//	console.log("sup a 5"+taille);

		//	$('#print').children()[0].remove();
		//	$('#print').append($('<p>').text(msg));

		//}
	});

});


</script>
